Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aviatrix Enterprise
Get the current default IPS profile
cURL
curl -sk -X GET "https://<controller>/v2.5/api/dcf/default-ips-profile" \ -H "Authorization: cid <CID>"
import requests url = "https://<controller>/v2.5/api/dcf/default-ips-profile" headers = {"Authorization": "cid <CID>"} response = requests.get(url, headers=headers) print(response.text)
package main import ( "fmt" "net/http" ) func main() { req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/dcf/default-ips-profile", nil) req.Header.Set("Authorization", "cid <CID>") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() fmt.Println(resp.Status) }
{ "default_ips_profile": [ "74b8ed97-d07d-41c8-982c-33a645e1723e" ] }
{ "message": "<string>" }
Controller ID in the format: cid .
"cid <CID>"
GET operation response
Response format for default IPS profile operations
IPS profile UUID
Was this page helpful?